package com.example.nto.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data  // Генерирует геттеры, сеттеры и тд.
@Entity  // Говорит Spring, что это сущность из базы данных.
@Builder  // Добавляет возможность использовать builder-стиль создания класса. ( Color.builder().setGreen(...).setBlue(...).build() )
@NoArgsConstructor  // Добавляет конструктор без аргументов.
@AllArgsConstructor  // Добавляет конструктор со всеми аргументами.
@Table(name = "code")
public class Code {
    @Id
    private long value;
}
